FDDividendEuropeanEngineShiftScale< Scheme > Class Template Reference

`#include <ql/pricingengines/vanilla/fddividendeuropeanengine.hpp>`

Inherits FDEngineAdapter< base, engine >.

## Public Member Functions

| FDDividendEuropeanEngineShiftScale (const ext::shared_ptr< GeneralizedBlackScholesProcess > &process, Size timeSteps=100, Size gridPoints=100, bool timeDependent=false)

## Detailed Description

### template<template< class > class Scheme = CrankNicolson>
class QuantLib::FDDividendEuropeanEngineShiftScale< Scheme >

Deprecated:
  Use FdBlackScholesVanillaEngine instead. Deprecated in version 1.17.